/* latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: local('Roboto'), local('Roboto-Regular'), url("/getSystemResource('font2.woff2')") format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
}
/* latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: local('Roboto Bold'), local('Roboto-Bold'), url("/getSystemResource('font1.woff2')") format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
}

body {
	height: 100%;
	margin: 0;
	font-family: Roboto;
}

#header h1 {
    margin: 0;
    background-color: #01579B;
    color: #FFF;
    padding: .5em 0 .5em 2.25em;
    background-image: url("/getSystemResource('images/logo.png')");
    background-size: 1.5em;
    background-repeat: no-repeat;
    background-position: .25em;
}

#menu ul {
	background-color: #0288D1;
	padding: 0;
	margin: 0;
}

#menu li a, .toggle  {
	text-align: center;
	padding: .5em;
	display: block;
	color: #000;
	text-decoration: none;
	font-size: 1.25em;
}

.toggle, #dropdown {
	cursor: pointer;
	display: none;
}

#menu a:hover, #menu a.active, .toggle:hover {
	background-color: #03A9F4;
	color: #FFF;
}

/* dashboard */

.dashboard {
	display: flex;
}

.dashboard div {
	flex: 1;
	margin: 2em;
	box-shadow: 0 2px 5px rgba(0,0,0,0.25);
	border-radius: 2px;
}

.dashboard table {
	border-collapse: collapse;
	width: 100%;
}

.dashboard table a {
        color: black;
        text-decoration: none;
}

.dashboard table th {
	padding: .5em;
	font-size: 2em;
	background-color: #01579B;
	color: #FFF;
	box-shadow: 0 1px 2px rgba(0,0,0,0.25);
}

.dashboard table td {
	border-bottom: 1px solid #EEE;
	text-align: left;
	padding: .75em 1em;
}

.dashboard table td + td {
	text-align: right;
}

.dashboard table .heading {
	font-weight: bold;
}

.dashboard tr:nth-child(odd) {
	background-color: #FAFAFA;
}

.dashboard table td img {
    max-width:100%;
}

.active {
	color: #388E3C;
}

.inactive, .failed {
	color: rgb(188, 17, 66);
}

/* forms */

form {
	padding: .5em;
	width: calc(100% - 1em);
}

.pre, .post {
	margin: .25em 0;	
}

input[type=submit] {
	border: none;
	background-color: transparent;
	cursor: pointer;
}

.apply, input[value=Revert] {
	border-radius: 2px;
	box-shadow: 0 2px 5px rgba(0,0,0,0.25);
	transition: all .2s ease-in-out;
	margin: .75em .75em .75em 0;
	padding: .75em;
	font-size: 1.25em;
	border: none;
}

input[value=Revert] {
	background-color: #FAFAFA;
}

.apply {
	color: #FFF;
	background-color: #388E3C!important;
}

input[name=delete] {
	color: rgb(188, 17, 66);
}

.apply:hover, input[value=Revert]:hover {
	color: #FFF;
	background-color: rgb(188, 17, 66)!important;
	transform: translateY(-3px);
	box-shadow: 0 6px 6px 0 rgba(0, 0, 0, 0.2);
}

.pre {
	display: inline-block;
	width: 8em;
}

.post {
	display: inline-block;
	font-size: .75em;
}

fieldset {
	margin: .5em 0;
}

textarea {
	resize: none;
	width: 100%;
}

.expanding {
	height: 2.5em;
	transition: all .2s ease-in-out;
}

.expanding:focus {
	height: 20em;
}

/* tables */
table.small {
	margin-top: 1em;
}

table.small th {
	box-shadow: none;
	font-size: 1.25em;
}

/* adjust dashboard for small displays */
@media all and (max-width: 80em) {
	.dashboard {
		flex-direction: column;
	}
}

@media all and (max-width: 46em) {
	
	/* adjust menu for small displays */
	#menu ul {
		display: none;
	}
	
	.toggle:before {
		float: left;
		content: '☰';
	}
	
	.toggle {
		display: block;
		background-color: #01579B;
	}
	
	#dropdown:checked + ul {
		display: block;
	}
	
	/* adjust dashboard margin for small displays */
	.dashboard div {
		margin: 1em 0;
	}
}

@media all and (min-width: 46em) {
	#header h1 {
		font-size: 3em;
	}
	
	#menu {
		width: 18em;
		float: left;
	}
	
	#content {
		float: right;
		width: calc(100% - 26em);
		margin: 0 3em;
		box-shadow: 0 2px 5px rgba(0,0,0,0.25);
		border-radius: 2px;
		padding: 1em;
	}
}